Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/register/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"first_name": "<string>",
"country_code": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
}
'{
"message": "<string>",
"success": true,
"content": {
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
},
"access_token": "<string>",
"refresh_token": "<string>"
}
}Registers a new user with their phone number. Returns a User object with access_token and refresh_token.
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/register/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"first_name": "<string>",
"country_code": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com"
}
'{
"message": "<string>",
"success": true,
"content": {
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
},
"access_token": "<string>",
"refresh_token": "<string>"
}
}Access token
10 digit phone number without country code.
10^[0-9]{10}$Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.
"+91"Was this page helpful?